Imported Upstream version 1.46.0
[platform/upstream/nghttp2.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.16.4 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # nghttp2 - HTTP/2 C Library
18
19 # Copyright (c) 2012 Tatsuhiro Tsujikawa
20
21 # Permission is hereby granted, free of charge, to any person obtaining
22 # a copy of this software and associated documentation files (the
23 # "Software"), to deal in the Software without restriction, including
24 # without limitation the rights to use, copy, modify, merge, publish,
25 # distribute, sublicense, and/or sell copies of the Software, and to
26 # permit persons to whom the Software is furnished to do so, subject to
27 # the following conditions:
28
29 # The above copyright notice and this permission notice shall be
30 # included in all copies or substantial portions of the Software.
31 VPATH = @srcdir@
32 am__is_gnu_make = { \
33   if test -z '$(MAKELEVEL)'; then \
34     false; \
35   elif test -n '$(MAKE_HOST)'; then \
36     true; \
37   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
38     true; \
39   else \
40     false; \
41   fi; \
42 }
43 am__make_running_with_option = \
44   case $${target_option-} in \
45       ?) ;; \
46       *) echo "am__make_running_with_option: internal error: invalid" \
47               "target option '$${target_option-}' specified" >&2; \
48          exit 1;; \
49   esac; \
50   has_opt=no; \
51   sane_makeflags=$$MAKEFLAGS; \
52   if $(am__is_gnu_make); then \
53     sane_makeflags=$$MFLAGS; \
54   else \
55     case $$MAKEFLAGS in \
56       *\\[\ \   ]*) \
57         bs=\\; \
58         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
59           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
60     esac; \
61   fi; \
62   skip_next=no; \
63   strip_trailopt () \
64   { \
65     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
66   }; \
67   for flg in $$sane_makeflags; do \
68     test $$skip_next = yes && { skip_next=no; continue; }; \
69     case $$flg in \
70       *=*|--*) continue;; \
71         -*I) strip_trailopt 'I'; skip_next=yes;; \
72       -*I?*) strip_trailopt 'I';; \
73         -*O) strip_trailopt 'O'; skip_next=yes;; \
74       -*O?*) strip_trailopt 'O';; \
75         -*l) strip_trailopt 'l'; skip_next=yes;; \
76       -*l?*) strip_trailopt 'l';; \
77       -[dEDm]) skip_next=yes;; \
78       -[JT]) skip_next=yes;; \
79     esac; \
80     case $$flg in \
81       *$$target_option*) has_opt=yes; break;; \
82     esac; \
83   done; \
84   test $$has_opt = yes
85 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
86 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
87 pkgdatadir = $(datadir)/@PACKAGE@
88 pkgincludedir = $(includedir)/@PACKAGE@
89 pkglibdir = $(libdir)/@PACKAGE@
90 pkglibexecdir = $(libexecdir)/@PACKAGE@
91 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
92 install_sh_DATA = $(install_sh) -c -m 644
93 install_sh_PROGRAM = $(install_sh) -c
94 install_sh_SCRIPT = $(install_sh) -c
95 INSTALL_HEADER = $(INSTALL_DATA)
96 transform = $(program_transform_name)
97 NORMAL_INSTALL = :
98 PRE_INSTALL = :
99 POST_INSTALL = :
100 NORMAL_UNINSTALL = :
101 PRE_UNINSTALL = :
102 POST_UNINSTALL = :
103 build_triplet = @build@
104 host_triplet = @host@
105 target_triplet = @target@
106 @HAVE_CUNIT_TRUE@check_PROGRAMS = main$(EXEEXT) $(am__EXEEXT_1)
107 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@am__append_1 = failmalloc
108 @HAVE_CUNIT_TRUE@am__append_2 = @CUNIT_LIBS@ @TESTLDADD@
109 @HAVE_CUNIT_TRUE@TESTS = main$(EXEEXT) $(am__EXEEXT_1)
110 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@am__append_3 = failmalloc
111 subdir = tests
112 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
113 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_asio.m4 \
114         $(top_srcdir)/m4/ax_boost_base.m4 \
115         $(top_srcdir)/m4/ax_boost_system.m4 \
116         $(top_srcdir)/m4/ax_boost_thread.m4 \
117         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
118         $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
119         $(top_srcdir)/m4/ax_python_devel.m4 \
120         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
121         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
122         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
126 mkinstalldirs = $(install_sh) -d
127 CONFIG_HEADER = $(top_builddir)/config.h
128 CONFIG_CLEAN_FILES =
129 CONFIG_CLEAN_VPATH_FILES =
130 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@am__EXEEXT_1 =  \
131 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       failmalloc$(EXEEXT)
132 am__failmalloc_SOURCES_DIST = failmalloc.c failmalloc_test.c \
133         failmalloc_test.h malloc_wrapper.c malloc_wrapper.h \
134         nghttp2_test_helper.c nghttp2_test_helper.h
135 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@am_failmalloc_OBJECTS =  \
136 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       failmalloc.$(OBJEXT) \
137 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       failmalloc_test.$(OBJEXT) \
138 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       malloc_wrapper.$(OBJEXT) \
139 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       nghttp2_test_helper.$(OBJEXT)
140 failmalloc_OBJECTS = $(am_failmalloc_OBJECTS)
141 am__DEPENDENCIES_1 =
142 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@am__DEPENDENCIES_2 = ${top_builddir}/lib/.libs/*.o \
143 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@  $(am__DEPENDENCIES_1)
144 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@am__DEPENDENCIES_2 = ${top_builddir}/lib/libnghttp2.la \
145 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@   $(am__DEPENDENCIES_1)
146 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@failmalloc_DEPENDENCIES = $(am__DEPENDENCIES_2)
147 AM_V_lt = $(am__v_lt_@AM_V@)
148 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
149 am__v_lt_0 = --silent
150 am__v_lt_1 = 
151 failmalloc_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
152         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
153         $(failmalloc_LDFLAGS) $(LDFLAGS) -o $@
154 am__main_SOURCES_DIST = nghttp2_pq_test.h nghttp2_map_test.h \
155         nghttp2_queue_test.h nghttp2_session_test.h \
156         nghttp2_frame_test.h nghttp2_stream_test.h nghttp2_hd_test.h \
157         nghttp2_npn_test.h nghttp2_helper_test.h nghttp2_test_helper.h \
158         nghttp2_buf_test.h main.c nghttp2_pq_test.c nghttp2_map_test.c \
159         nghttp2_queue_test.c nghttp2_test_helper.c \
160         nghttp2_frame_test.c nghttp2_stream_test.c \
161         nghttp2_session_test.c nghttp2_hd_test.c nghttp2_npn_test.c \
162         nghttp2_helper_test.c nghttp2_buf_test.c
163 am__objects_1 =
164 @HAVE_CUNIT_TRUE@am__objects_2 = main.$(OBJEXT) \
165 @HAVE_CUNIT_TRUE@       nghttp2_pq_test.$(OBJEXT) \
166 @HAVE_CUNIT_TRUE@       nghttp2_map_test.$(OBJEXT) \
167 @HAVE_CUNIT_TRUE@       nghttp2_queue_test.$(OBJEXT) \
168 @HAVE_CUNIT_TRUE@       nghttp2_test_helper.$(OBJEXT) \
169 @HAVE_CUNIT_TRUE@       nghttp2_frame_test.$(OBJEXT) \
170 @HAVE_CUNIT_TRUE@       nghttp2_stream_test.$(OBJEXT) \
171 @HAVE_CUNIT_TRUE@       nghttp2_session_test.$(OBJEXT) \
172 @HAVE_CUNIT_TRUE@       nghttp2_hd_test.$(OBJEXT) \
173 @HAVE_CUNIT_TRUE@       nghttp2_npn_test.$(OBJEXT) \
174 @HAVE_CUNIT_TRUE@       nghttp2_helper_test.$(OBJEXT) \
175 @HAVE_CUNIT_TRUE@       nghttp2_buf_test.$(OBJEXT)
176 @HAVE_CUNIT_TRUE@am_main_OBJECTS = $(am__objects_1) $(am__objects_2)
177 main_OBJECTS = $(am_main_OBJECTS)
178 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@main_DEPENDENCIES = ${top_builddir}/lib/.libs/*.o \
179 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@  $(am__DEPENDENCIES_1)
180 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@main_DEPENDENCIES = ${top_builddir}/lib/libnghttp2.la \
181 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@   $(am__DEPENDENCIES_1)
182 main_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
183         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
184         $(main_LDFLAGS) $(LDFLAGS) -o $@
185 AM_V_P = $(am__v_P_@AM_V@)
186 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
187 am__v_P_0 = false
188 am__v_P_1 = :
189 AM_V_GEN = $(am__v_GEN_@AM_V@)
190 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
191 am__v_GEN_0 = @echo "  GEN     " $@;
192 am__v_GEN_1 = 
193 AM_V_at = $(am__v_at_@AM_V@)
194 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
195 am__v_at_0 = @
196 am__v_at_1 = 
197 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
198 depcomp = $(SHELL) $(top_srcdir)/depcomp
199 am__maybe_remake_depfiles = depfiles
200 am__depfiles_remade = ./$(DEPDIR)/failmalloc.Po \
201         ./$(DEPDIR)/failmalloc_test.Po ./$(DEPDIR)/main.Po \
202         ./$(DEPDIR)/malloc_wrapper.Po ./$(DEPDIR)/nghttp2_buf_test.Po \
203         ./$(DEPDIR)/nghttp2_frame_test.Po \
204         ./$(DEPDIR)/nghttp2_hd_test.Po \
205         ./$(DEPDIR)/nghttp2_helper_test.Po \
206         ./$(DEPDIR)/nghttp2_map_test.Po \
207         ./$(DEPDIR)/nghttp2_npn_test.Po ./$(DEPDIR)/nghttp2_pq_test.Po \
208         ./$(DEPDIR)/nghttp2_queue_test.Po \
209         ./$(DEPDIR)/nghttp2_session_test.Po \
210         ./$(DEPDIR)/nghttp2_stream_test.Po \
211         ./$(DEPDIR)/nghttp2_test_helper.Po
212 am__mv = mv -f
213 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
214         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
215 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
217         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
218         $(AM_CFLAGS) $(CFLAGS)
219 AM_V_CC = $(am__v_CC_@AM_V@)
220 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
221 am__v_CC_0 = @echo "  CC      " $@;
222 am__v_CC_1 = 
223 CCLD = $(CC)
224 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
226         $(AM_LDFLAGS) $(LDFLAGS) -o $@
227 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
228 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
229 am__v_CCLD_0 = @echo "  CCLD    " $@;
230 am__v_CCLD_1 = 
231 SOURCES = $(failmalloc_SOURCES) $(main_SOURCES)
232 DIST_SOURCES = $(am__failmalloc_SOURCES_DIST) $(am__main_SOURCES_DIST)
233 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
234         ctags-recursive dvi-recursive html-recursive info-recursive \
235         install-data-recursive install-dvi-recursive \
236         install-exec-recursive install-html-recursive \
237         install-info-recursive install-pdf-recursive \
238         install-ps-recursive install-recursive installcheck-recursive \
239         installdirs-recursive pdf-recursive ps-recursive \
240         tags-recursive uninstall-recursive
241 am__can_run_installinfo = \
242   case $$AM_UPDATE_INFO_DIR in \
243     n|no|NO) false;; \
244     *) (install-info --version) >/dev/null 2>&1;; \
245   esac
246 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
247   distclean-recursive maintainer-clean-recursive
248 am__recursive_targets = \
249   $(RECURSIVE_TARGETS) \
250   $(RECURSIVE_CLEAN_TARGETS) \
251   $(am__extra_recursive_targets)
252 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
253         check recheck distdir distdir-am
254 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
255 # Read a list of newline-separated strings from the standard input,
256 # and print each of them once, without duplicates.  Input order is
257 # *not* preserved.
258 am__uniquify_input = $(AWK) '\
259   BEGIN { nonempty = 0; } \
260   { items[$$0] = 1; nonempty = 1; } \
261   END { if (nonempty) { for (i in items) print i; }; } \
262 '
263 # Make sure the list of sources is unique.  This is necessary because,
264 # e.g., the same source file might be shared among _SOURCES variables
265 # for different programs/libraries.
266 am__define_uniq_tagged_files = \
267   list='$(am__tagged_files)'; \
268   unique=`for i in $$list; do \
269     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
270   done | $(am__uniquify_input)`
271 am__tty_colors_dummy = \
272   mgn= red= grn= lgn= blu= brg= std=; \
273   am__color_tests=no
274 am__tty_colors = { \
275   $(am__tty_colors_dummy); \
276   if test "X$(AM_COLOR_TESTS)" = Xno; then \
277     am__color_tests=no; \
278   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
279     am__color_tests=yes; \
280   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
281     am__color_tests=yes; \
282   fi; \
283   if test $$am__color_tests = yes; then \
284     red='\e[0;31m'; \
285     grn='\e[0;32m'; \
286     lgn='\e[1;32m'; \
287     blu='\e[1;34m'; \
288     mgn='\e[0;35m'; \
289     brg='\e[1m'; \
290     std='\e[m'; \
291   fi; \
292 }
293 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
294 am__vpath_adj = case $$p in \
295     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
296     *) f=$$p;; \
297   esac;
298 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
299 am__install_max = 40
300 am__nobase_strip_setup = \
301   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
302 am__nobase_strip = \
303   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
304 am__nobase_list = $(am__nobase_strip_setup); \
305   for p in $$list; do echo "$$p $$p"; done | \
306   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
307   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
308     if (++n[$$2] == $(am__install_max)) \
309       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
310     END { for (dir in files) print dir, files[dir] }'
311 am__base_list = \
312   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
313   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
314 am__uninstall_files_from_dir = { \
315   test -z "$$files" \
316     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
317     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
318          $(am__cd) "$$dir" && rm -f $$files; }; \
319   }
320 am__recheck_rx = ^[     ]*:recheck:[    ]*
321 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
322 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
323 # A command that, given a newline-separated list of test names on the
324 # standard input, print the name of the tests that are to be re-run
325 # upon "make recheck".
326 am__list_recheck_tests = $(AWK) '{ \
327   recheck = 1; \
328   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329     { \
330       if (rc < 0) \
331         { \
332           if ((getline line2 < ($$0 ".log")) < 0) \
333             recheck = 0; \
334           break; \
335         } \
336       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
337         { \
338           recheck = 0; \
339           break; \
340         } \
341       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
342         { \
343           break; \
344         } \
345     }; \
346   if (recheck) \
347     print $$0; \
348   close ($$0 ".trs"); \
349   close ($$0 ".log"); \
350 }'
351 # A command that, given a newline-separated list of test names on the
352 # standard input, create the global log from their .trs and .log files.
353 am__create_global_log = $(AWK) ' \
354 function fatal(msg) \
355 { \
356   print "fatal: making $@: " msg | "cat >&2"; \
357   exit 1; \
358 } \
359 function rst_section(header) \
360 { \
361   print header; \
362   len = length(header); \
363   for (i = 1; i <= len; i = i + 1) \
364     printf "="; \
365   printf "\n\n"; \
366 } \
367 { \
368   copy_in_global_log = 1; \
369   global_test_result = "RUN"; \
370   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
371     { \
372       if (rc < 0) \
373          fatal("failed to read from " $$0 ".trs"); \
374       if (line ~ /$(am__global_test_result_rx)/) \
375         { \
376           sub("$(am__global_test_result_rx)", "", line); \
377           sub("[        ]*$$", "", line); \
378           global_test_result = line; \
379         } \
380       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
381         copy_in_global_log = 0; \
382     }; \
383   if (copy_in_global_log) \
384     { \
385       rst_section(global_test_result ": " $$0); \
386       while ((rc = (getline line < ($$0 ".log"))) != 0) \
387       { \
388         if (rc < 0) \
389           fatal("failed to read from " $$0 ".log"); \
390         print line; \
391       }; \
392       printf "\n"; \
393     }; \
394   close ($$0 ".trs"); \
395   close ($$0 ".log"); \
396 }'
397 # Restructured Text title.
398 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
399 # Solaris 10 'make', and several other traditional 'make' implementations,
400 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
401 # by disabling -e (using the XSI extension "set +e") if it's set.
402 am__sh_e_setup = case $$- in *e*) set +e;; esac
403 # Default flags passed to test drivers.
404 am__common_driver_flags = \
405   --color-tests "$$am__color_tests" \
406   --enable-hard-errors "$$am__enable_hard_errors" \
407   --expect-failure "$$am__expect_failure"
408 # To be inserted before the command running the test.  Creates the
409 # directory for the log if needed.  Stores in $dir the directory
410 # containing $f, in $tst the test, in $log the log.  Executes the
411 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
412 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
413 # will run the test scripts (or their associated LOG_COMPILER, if
414 # thy have one).
415 am__check_pre = \
416 $(am__sh_e_setup);                                      \
417 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
418 $(am__tty_colors);                                      \
419 srcdir=$(srcdir); export srcdir;                        \
420 case "$@" in                                            \
421   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
422     *) am__odir=.;;                                     \
423 esac;                                                   \
424 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
425   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
426 if test -f "./$$f"; then dir=./;                        \
427 elif test -f "$$f"; then dir=;                          \
428 else dir="$(srcdir)/"; fi;                              \
429 tst=$$dir$$f; log='$@';                                 \
430 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
431   am__enable_hard_errors=no;                            \
432 else                                                    \
433   am__enable_hard_errors=yes;                           \
434 fi;                                                     \
435 case " $(XFAIL_TESTS) " in                              \
436   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
437     am__expect_failure=yes;;                            \
438   *)                                                    \
439     am__expect_failure=no;;                             \
440 esac;                                                   \
441 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
442 # A shell command to get the names of the tests scripts with any registered
443 # extension removed (i.e., equivalently, the names of the test logs, with
444 # the '.log' extension removed).  The result is saved in the shell variable
445 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
446 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
447 # since that might cause problem with VPATH rewrites for suffix-less tests.
448 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
449 am__set_TESTS_bases = \
450   bases='$(TEST_LOGS)'; \
451   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
452   bases=`echo $$bases`
453 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
454 RECHECK_LOGS = $(TEST_LOGS)
455 TEST_SUITE_LOG = test-suite.log
456 TEST_EXTENSIONS = @EXEEXT@ .test
457 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
458 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
459 am__set_b = \
460   case '$@' in \
461     */*) \
462       case '$*' in \
463         */*) b='$*';; \
464           *) b=`echo '$@' | sed 's/\.log$$//'`; \
465        esac;; \
466     *) \
467       b='$*';; \
468   esac
469 am__test_logs1 = $(TESTS:=.log)
470 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
471 TEST_LOGS = $(am__test_logs2:.test.log=.log)
472 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
473 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
474         $(TEST_LOG_FLAGS)
475 DIST_SUBDIRS = $(SUBDIRS)
476 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
477         $(top_srcdir)/test-driver
478 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
479 am__relativize = \
480   dir0=`pwd`; \
481   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
482   sed_rest='s,^[^/]*/*,,'; \
483   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
484   sed_butlast='s,/*[^/]*$$,,'; \
485   while test -n "$$dir1"; do \
486     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
487     if test "$$first" != "."; then \
488       if test "$$first" = ".."; then \
489         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
490         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
491       else \
492         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
493         if test "$$first2" = "$$first"; then \
494           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
495         else \
496           dir2="../$$dir2"; \
497         fi; \
498         dir0="$$dir0"/"$$first"; \
499       fi; \
500     fi; \
501     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
502   done; \
503   reldir="$$dir2"
504 ACLOCAL = @ACLOCAL@
505 AMTAR = @AMTAR@
506 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
507 APPLDFLAGS = @APPLDFLAGS@
508 AR = @AR@
509 AUTOCONF = @AUTOCONF@
510 AUTOHEADER = @AUTOHEADER@
511 AUTOMAKE = @AUTOMAKE@
512 AWK = @AWK@
513 BOOST_ASIO_LIB = @BOOST_ASIO_LIB@
514 BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
515 BOOST_LDFLAGS = @BOOST_LDFLAGS@
516 BOOST_SYSTEM_LIB = @BOOST_SYSTEM_LIB@
517 BOOST_THREAD_LIB = @BOOST_THREAD_LIB@
518 BPFCFLAGS = @BPFCFLAGS@
519 CC = @CC@
520 CCDEPMODE = @CCDEPMODE@
521 CFLAGS = @CFLAGS@
522 CPP = @CPP@
523 CPPFLAGS = @CPPFLAGS@
524 CSCOPE = @CSCOPE@
525 CTAGS = @CTAGS@
526 CUNIT_CFLAGS = @CUNIT_CFLAGS@
527 CUNIT_LIBS = @CUNIT_LIBS@
528 CXX = @CXX@
529 CXX1XCXXFLAGS = @CXX1XCXXFLAGS@
530 CXXCPP = @CXXCPP@
531 CXXDEPMODE = @CXXDEPMODE@
532 CXXFLAGS = @CXXFLAGS@
533 CYGPATH_W = @CYGPATH_W@
534 CYTHON = @CYTHON@
535 DEFS = @DEFS@
536 DEPDIR = @DEPDIR@
537 DLLTOOL = @DLLTOOL@
538 DSYMUTIL = @DSYMUTIL@
539 DUMPBIN = @DUMPBIN@
540 ECHO_C = @ECHO_C@
541 ECHO_N = @ECHO_N@
542 ECHO_T = @ECHO_T@
543 EGREP = @EGREP@
544 ETAGS = @ETAGS@
545 EXEEXT = @EXEEXT@
546 EXTRABPFCFLAGS = @EXTRABPFCFLAGS@
547 EXTRACFLAG = @EXTRACFLAG@
548 EXTRA_DEFS = @EXTRA_DEFS@
549 FGREP = @FGREP@
550 GREP = @GREP@
551 HAVE_CXX14 = @HAVE_CXX14@
552 INSTALL = @INSTALL@
553 INSTALL_DATA = @INSTALL_DATA@
554 INSTALL_PROGRAM = @INSTALL_PROGRAM@
555 INSTALL_SCRIPT = @INSTALL_SCRIPT@
556 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
557 JANSSON_CFLAGS = @JANSSON_CFLAGS@
558 JANSSON_LIBS = @JANSSON_LIBS@
559 JEMALLOC_CFLAGS = @JEMALLOC_CFLAGS@
560 JEMALLOC_LIBS = @JEMALLOC_LIBS@
561 LD = @LD@
562 LDFLAGS = @LDFLAGS@
563 LIBBPF_CFLAGS = @LIBBPF_CFLAGS@
564 LIBBPF_LIBS = @LIBBPF_LIBS@
565 LIBCARES_CFLAGS = @LIBCARES_CFLAGS@
566 LIBCARES_LIBS = @LIBCARES_LIBS@
567 LIBEVENT_OPENSSL_CFLAGS = @LIBEVENT_OPENSSL_CFLAGS@
568 LIBEVENT_OPENSSL_LIBS = @LIBEVENT_OPENSSL_LIBS@
569 LIBEV_CFLAGS = @LIBEV_CFLAGS@
570 LIBEV_LIBS = @LIBEV_LIBS@
571 LIBMRUBY_CFLAGS = @LIBMRUBY_CFLAGS@
572 LIBMRUBY_LIBS = @LIBMRUBY_LIBS@
573 LIBNGHTTP3_CFLAGS = @LIBNGHTTP3_CFLAGS@
574 LIBNGHTTP3_LIBS = @LIBNGHTTP3_LIBS@
575 LIBNGTCP2_CFLAGS = @LIBNGTCP2_CFLAGS@
576 LIBNGTCP2_CRYPTO_BORINGSSL_CFLAGS = @LIBNGTCP2_CRYPTO_BORINGSSL_CFLAGS@
577 LIBNGTCP2_CRYPTO_BORINGSSL_LIBS = @LIBNGTCP2_CRYPTO_BORINGSSL_LIBS@
578 LIBNGTCP2_CRYPTO_OPENSSL_CFLAGS = @LIBNGTCP2_CRYPTO_OPENSSL_CFLAGS@
579 LIBNGTCP2_CRYPTO_OPENSSL_LIBS = @LIBNGTCP2_CRYPTO_OPENSSL_LIBS@
580 LIBNGTCP2_LIBS = @LIBNGTCP2_LIBS@
581 LIBOBJS = @LIBOBJS@
582 LIBS = @LIBS@
583 LIBTOOL = @LIBTOOL@
584 LIBTOOL_LDFLAGS = @LIBTOOL_LDFLAGS@
585 LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
586 LIBXML2_LIBS = @LIBXML2_LIBS@
587 LIPO = @LIPO@
588 LN_S = @LN_S@
589 LTLIBOBJS = @LTLIBOBJS@
590 LT_AGE = @LT_AGE@
591 LT_CURRENT = @LT_CURRENT@
592 LT_REVISION = @LT_REVISION@
593 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
594 MAKEINFO = @MAKEINFO@
595 MANIFEST_TOOL = @MANIFEST_TOOL@
596 MKDIR_P = @MKDIR_P@
597 NM = @NM@
598 NMEDIT = @NMEDIT@
599 OBJDUMP = @OBJDUMP@
600 OBJEXT = @OBJEXT@
601 OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
602 OPENSSL_LIBS = @OPENSSL_LIBS@
603 OTOOL = @OTOOL@
604 OTOOL64 = @OTOOL64@
605 PACKAGE = @PACKAGE@
606 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
607 PACKAGE_NAME = @PACKAGE_NAME@
608 PACKAGE_STRING = @PACKAGE_STRING@
609 PACKAGE_TARNAME = @PACKAGE_TARNAME@
610 PACKAGE_URL = @PACKAGE_URL@
611 PACKAGE_VERSION = @PACKAGE_VERSION@
612 PACKAGE_VERSION_NUM = @PACKAGE_VERSION_NUM@
613 PATH_SEPARATOR = @PATH_SEPARATOR@
614 PKG_CONFIG = @PKG_CONFIG@
615 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
616 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
617 PYTHON = @PYTHON@
618 PYTHON_CPPFLAGS = @PYTHON_CPPFLAGS@
619 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
620 PYTHON_EXTRA_LDFLAGS = @PYTHON_EXTRA_LDFLAGS@
621 PYTHON_EXTRA_LIBS = @PYTHON_EXTRA_LIBS@
622 PYTHON_LIBS = @PYTHON_LIBS@
623 PYTHON_PLATFORM = @PYTHON_PLATFORM@
624 PYTHON_PLATFORM_SITE_PKG = @PYTHON_PLATFORM_SITE_PKG@
625 PYTHON_PREFIX = @PYTHON_PREFIX@
626 PYTHON_SITE_PKG = @PYTHON_SITE_PKG@
627 PYTHON_VERSION = @PYTHON_VERSION@
628 RANLIB = @RANLIB@
629 SED = @SED@
630 SET_MAKE = @SET_MAKE@
631 SHELL = @SHELL@
632 STRIP = @STRIP@
633 SYSTEMD_CFLAGS = @SYSTEMD_CFLAGS@
634 SYSTEMD_LIBS = @SYSTEMD_LIBS@
635 TESTLDADD = @TESTLDADD@
636 VERSION = @VERSION@
637 WARNCFLAGS = @WARNCFLAGS@
638 WARNCXXFLAGS = @WARNCXXFLAGS@
639 ZLIB_CFLAGS = @ZLIB_CFLAGS@
640 ZLIB_LIBS = @ZLIB_LIBS@
641 abs_builddir = @abs_builddir@
642 abs_srcdir = @abs_srcdir@
643 abs_top_builddir = @abs_top_builddir@
644 abs_top_srcdir = @abs_top_srcdir@
645 ac_ct_AR = @ac_ct_AR@
646 ac_ct_CC = @ac_ct_CC@
647 ac_ct_CXX = @ac_ct_CXX@
648 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
649 am__include = @am__include@
650 am__leading_dot = @am__leading_dot@
651 am__quote = @am__quote@
652 am__tar = @am__tar@
653 am__untar = @am__untar@
654 bindir = @bindir@
655 build = @build@
656 build_alias = @build_alias@
657 build_cpu = @build_cpu@
658 build_os = @build_os@
659 build_vendor = @build_vendor@
660 builddir = @builddir@
661 datadir = @datadir@
662 datarootdir = @datarootdir@
663 docdir = @docdir@
664 dvidir = @dvidir@
665 exec_prefix = @exec_prefix@
666 host = @host@
667 host_alias = @host_alias@
668 host_cpu = @host_cpu@
669 host_os = @host_os@
670 host_vendor = @host_vendor@
671 htmldir = @htmldir@
672 includedir = @includedir@
673 infodir = @infodir@
674 install_sh = @install_sh@
675 libdir = @libdir@
676 libexecdir = @libexecdir@
677 localedir = @localedir@
678 localstatedir = @localstatedir@
679 mandir = @mandir@
680 mkdir_p = @mkdir_p@
681 oldincludedir = @oldincludedir@
682 pdfdir = @pdfdir@
683 pkgpyexecdir = @pkgpyexecdir@
684 pkgpythondir = @pkgpythondir@
685 prefix = @prefix@
686 program_transform_name = @program_transform_name@
687 psdir = @psdir@
688 pyexecdir = @pyexecdir@
689 pythondir = @pythondir@
690 runstatedir = @runstatedir@
691 sbindir = @sbindir@
692 sharedstatedir = @sharedstatedir@
693 srcdir = @srcdir@
694 sysconfdir = @sysconfdir@
695 target = @target@
696 target_alias = @target_alias@
697 target_cpu = @target_cpu@
698 target_os = @target_os@
699 target_vendor = @target_vendor@
700 top_build_prefix = @top_build_prefix@
701 top_builddir = @top_builddir@
702 top_srcdir = @top_srcdir@
703
704 # THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
705 # EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
706 # MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
707 # NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
708 # LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
709 # OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
710 # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
711 SUBDIRS = testdata
712 EXTRA_DIST = CMakeLists.txt
713 @HAVE_CUNIT_TRUE@OBJECTS = main.c nghttp2_pq_test.c nghttp2_map_test.c nghttp2_queue_test.c \
714 @HAVE_CUNIT_TRUE@       nghttp2_test_helper.c \
715 @HAVE_CUNIT_TRUE@       nghttp2_frame_test.c \
716 @HAVE_CUNIT_TRUE@       nghttp2_stream_test.c \
717 @HAVE_CUNIT_TRUE@       nghttp2_session_test.c \
718 @HAVE_CUNIT_TRUE@       nghttp2_hd_test.c \
719 @HAVE_CUNIT_TRUE@       nghttp2_npn_test.c \
720 @HAVE_CUNIT_TRUE@       nghttp2_helper_test.c \
721 @HAVE_CUNIT_TRUE@       nghttp2_buf_test.c
722
723 @HAVE_CUNIT_TRUE@HFILES = nghttp2_pq_test.h nghttp2_map_test.h nghttp2_queue_test.h \
724 @HAVE_CUNIT_TRUE@       nghttp2_session_test.h \
725 @HAVE_CUNIT_TRUE@       nghttp2_frame_test.h nghttp2_stream_test.h nghttp2_hd_test.h \
726 @HAVE_CUNIT_TRUE@       nghttp2_npn_test.h nghttp2_helper_test.h \
727 @HAVE_CUNIT_TRUE@       nghttp2_test_helper.h \
728 @HAVE_CUNIT_TRUE@       nghttp2_buf_test.h
729
730 @HAVE_CUNIT_TRUE@main_SOURCES = $(HFILES) $(OBJECTS)
731 # With static lib disabled and symbol hiding enabled, we have to link object
732 # files directly because the tests use symbols not included in public API.
733 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@main_LDADD = ${top_builddir}/lib/.libs/*.o \
734 @ENABLE_STATIC_FALSE@@HAVE_CUNIT_TRUE@  $(am__append_2)
735 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@main_LDADD = ${top_builddir}/lib/libnghttp2.la \
736 @ENABLE_STATIC_TRUE@@HAVE_CUNIT_TRUE@   $(am__append_2)
737 @HAVE_CUNIT_TRUE@main_LDFLAGS = -static
738 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@failmalloc_SOURCES = failmalloc.c failmalloc_test.c failmalloc_test.h \
739 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       malloc_wrapper.c malloc_wrapper.h \
740 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@       nghttp2_test_helper.c nghttp2_test_helper.h
741
742 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@failmalloc_LDADD = $(main_LDADD)
743 @ENABLE_FAILMALLOC_TRUE@@HAVE_CUNIT_TRUE@failmalloc_LDFLAGS = $(main_LDFLAGS)
744 @HAVE_CUNIT_TRUE@AM_CFLAGS = $(WARNCFLAGS) \
745 @HAVE_CUNIT_TRUE@       -I${top_srcdir}/lib \
746 @HAVE_CUNIT_TRUE@       -I${top_srcdir}/lib/includes \
747 @HAVE_CUNIT_TRUE@       -I${top_builddir}/lib/includes \
748 @HAVE_CUNIT_TRUE@       @CUNIT_CFLAGS@ @DEFS@
749
750 all: all-recursive
751
752 .SUFFIXES:
753 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
754 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
755         @for dep in $?; do \
756           case '$(am__configure_deps)' in \
757             *$$dep*) \
758               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
759                 && { if test -f $@; then exit 0; else break; fi; }; \
760               exit 1;; \
761           esac; \
762         done; \
763         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
764         $(am__cd) $(top_srcdir) && \
765           $(AUTOMAKE) --gnu tests/Makefile
766 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
767         @case '$?' in \
768           *config.status*) \
769             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
770           *) \
771             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
772             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
773         esac;
774
775 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
776         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777
778 $(top_srcdir)/configure:  $(am__configure_deps)
779         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
781         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
782 $(am__aclocal_m4_deps):
783
784 clean-checkPROGRAMS:
785         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
786         echo " rm -f" $$list; \
787         rm -f $$list || exit $$?; \
788         test -n "$(EXEEXT)" || exit 0; \
789         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
790         echo " rm -f" $$list; \
791         rm -f $$list
792
793 failmalloc$(EXEEXT): $(failmalloc_OBJECTS) $(failmalloc_DEPENDENCIES) $(EXTRA_failmalloc_DEPENDENCIES) 
794         @rm -f failmalloc$(EXEEXT)
795         $(AM_V_CCLD)$(failmalloc_LINK) $(failmalloc_OBJECTS) $(failmalloc_LDADD) $(LIBS)
796
797 main$(EXEEXT): $(main_OBJECTS) $(main_DEPENDENCIES) $(EXTRA_main_DEPENDENCIES) 
798         @rm -f main$(EXEEXT)
799         $(AM_V_CCLD)$(main_LINK) $(main_OBJECTS) $(main_LDADD) $(LIBS)
800
801 mostlyclean-compile:
802         -rm -f *.$(OBJEXT)
803
804 distclean-compile:
805         -rm -f *.tab.c
806
807 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/failmalloc.Po@am__quote@ # am--include-marker
808 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/failmalloc_test.Po@am__quote@ # am--include-marker
809 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@ # am--include-marker
810 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/malloc_wrapper.Po@am__quote@ # am--include-marker
811 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_buf_test.Po@am__quote@ # am--include-marker
812 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_frame_test.Po@am__quote@ # am--include-marker
813 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_hd_test.Po@am__quote@ # am--include-marker
814 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_helper_test.Po@am__quote@ # am--include-marker
815 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_map_test.Po@am__quote@ # am--include-marker
816 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_npn_test.Po@am__quote@ # am--include-marker
817 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_pq_test.Po@am__quote@ # am--include-marker
818 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_queue_test.Po@am__quote@ # am--include-marker
819 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_session_test.Po@am__quote@ # am--include-marker
820 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_stream_test.Po@am__quote@ # am--include-marker
821 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nghttp2_test_helper.Po@am__quote@ # am--include-marker
822
823 $(am__depfiles_remade):
824         @$(MKDIR_P) $(@D)
825         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
826
827 am--depfiles: $(am__depfiles_remade)
828
829 .c.o:
830 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
831 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
832 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
835 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
836
837 .c.obj:
838 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
839 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
840 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
844
845 .c.lo:
846 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
847 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
848 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
849 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
851 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
852
853 mostlyclean-libtool:
854         -rm -f *.lo
855
856 clean-libtool:
857         -rm -rf .libs _libs
858
859 # This directory's subdirectories are mostly independent; you can cd
860 # into them and run 'make' without going through this Makefile.
861 # To change the values of 'make' variables: instead of editing Makefiles,
862 # (1) if the variable is set in 'config.status', edit 'config.status'
863 #     (which will cause the Makefiles to be regenerated when you run 'make');
864 # (2) otherwise, pass the desired values on the 'make' command line.
865 $(am__recursive_targets):
866         @fail=; \
867         if $(am__make_keepgoing); then \
868           failcom='fail=yes'; \
869         else \
870           failcom='exit 1'; \
871         fi; \
872         dot_seen=no; \
873         target=`echo $@ | sed s/-recursive//`; \
874         case "$@" in \
875           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
876           *) list='$(SUBDIRS)' ;; \
877         esac; \
878         for subdir in $$list; do \
879           echo "Making $$target in $$subdir"; \
880           if test "$$subdir" = "."; then \
881             dot_seen=yes; \
882             local_target="$$target-am"; \
883           else \
884             local_target="$$target"; \
885           fi; \
886           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
887           || eval $$failcom; \
888         done; \
889         if test "$$dot_seen" = "no"; then \
890           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
891         fi; test -z "$$fail"
892
893 ID: $(am__tagged_files)
894         $(am__define_uniq_tagged_files); mkid -fID $$unique
895 tags: tags-recursive
896 TAGS: tags
897
898 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
899         set x; \
900         here=`pwd`; \
901         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
902           include_option=--etags-include; \
903           empty_fix=.; \
904         else \
905           include_option=--include; \
906           empty_fix=; \
907         fi; \
908         list='$(SUBDIRS)'; for subdir in $$list; do \
909           if test "$$subdir" = .; then :; else \
910             test ! -f $$subdir/TAGS || \
911               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
912           fi; \
913         done; \
914         $(am__define_uniq_tagged_files); \
915         shift; \
916         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
917           test -n "$$unique" || unique=$$empty_fix; \
918           if test $$# -gt 0; then \
919             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
920               "$$@" $$unique; \
921           else \
922             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
923               $$unique; \
924           fi; \
925         fi
926 ctags: ctags-recursive
927
928 CTAGS: ctags
929 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
930         $(am__define_uniq_tagged_files); \
931         test -z "$(CTAGS_ARGS)$$unique" \
932           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
933              $$unique
934
935 GTAGS:
936         here=`$(am__cd) $(top_builddir) && pwd` \
937           && $(am__cd) $(top_srcdir) \
938           && gtags -i $(GTAGS_ARGS) "$$here"
939 cscopelist: cscopelist-recursive
940
941 cscopelist-am: $(am__tagged_files)
942         list='$(am__tagged_files)'; \
943         case "$(srcdir)" in \
944           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
945           *) sdir=$(subdir)/$(srcdir) ;; \
946         esac; \
947         for i in $$list; do \
948           if test -f "$$i"; then \
949             echo "$(subdir)/$$i"; \
950           else \
951             echo "$$sdir/$$i"; \
952           fi; \
953         done >> $(top_builddir)/cscope.files
954
955 distclean-tags:
956         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
957
958 # Recover from deleted '.trs' file; this should ensure that
959 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
960 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
961 # to avoid problems with "make -n".
962 .log.trs:
963         rm -f $< $@
964         $(MAKE) $(AM_MAKEFLAGS) $<
965
966 # Leading 'am--fnord' is there to ensure the list of targets does not
967 # expand to empty, as could happen e.g. with make check TESTS=''.
968 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
969 am--force-recheck:
970         @:
971
972 $(TEST_SUITE_LOG): $(TEST_LOGS)
973         @$(am__set_TESTS_bases); \
974         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
975         redo_bases=`for i in $$bases; do \
976                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
977                     done`; \
978         if test -n "$$redo_bases"; then \
979           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
980           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
981           if $(am__make_dryrun); then :; else \
982             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
983           fi; \
984         fi; \
985         if test -n "$$am__remaking_logs"; then \
986           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
987                "recursion detected" >&2; \
988         elif test -n "$$redo_logs"; then \
989           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
990         fi; \
991         if $(am__make_dryrun); then :; else \
992           st=0;  \
993           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
994           for i in $$redo_bases; do \
995             test -f $$i.trs && test -r $$i.trs \
996               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
997             test -f $$i.log && test -r $$i.log \
998               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
999           done; \
1000           test $$st -eq 0 || exit 1; \
1001         fi
1002         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1003         ws='[   ]'; \
1004         results=`for b in $$bases; do echo $$b.trs; done`; \
1005         test -n "$$results" || results=/dev/null; \
1006         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1007         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1008         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1009         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1010         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1011         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1012         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1013         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1014           success=true; \
1015         else \
1016           success=false; \
1017         fi; \
1018         br='==================='; br=$$br$$br$$br$$br; \
1019         result_count () \
1020         { \
1021             if test x"$$1" = x"--maybe-color"; then \
1022               maybe_colorize=yes; \
1023             elif test x"$$1" = x"--no-color"; then \
1024               maybe_colorize=no; \
1025             else \
1026               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1027             fi; \
1028             shift; \
1029             desc=$$1 count=$$2; \
1030             if test $$maybe_colorize = yes && test $$count -gt 0; then \
1031               color_start=$$3 color_end=$$std; \
1032             else \
1033               color_start= color_end=; \
1034             fi; \
1035             echo "$${color_start}# $$desc $$count$${color_end}"; \
1036         }; \
1037         create_testsuite_report () \
1038         { \
1039           result_count $$1 "TOTAL:" $$all   "$$brg"; \
1040           result_count $$1 "PASS: " $$pass  "$$grn"; \
1041           result_count $$1 "SKIP: " $$skip  "$$blu"; \
1042           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1043           result_count $$1 "FAIL: " $$fail  "$$red"; \
1044           result_count $$1 "XPASS:" $$xpass "$$red"; \
1045           result_count $$1 "ERROR:" $$error "$$mgn"; \
1046         }; \
1047         {                                                               \
1048           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1049             $(am__rst_title);                                           \
1050           create_testsuite_report --no-color;                           \
1051           echo;                                                         \
1052           echo ".. contents:: :depth: 2";                               \
1053           echo;                                                         \
1054           for b in $$bases; do echo $$b; done                           \
1055             | $(am__create_global_log);                                 \
1056         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1057         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1058         if $$success; then                                              \
1059           col="$$grn";                                                  \
1060          else                                                           \
1061           col="$$red";                                                  \
1062           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1063         fi;                                                             \
1064         echo "$${col}$$br$${std}";                                      \
1065         echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
1066         echo "$${col}$$br$${std}";                                      \
1067         create_testsuite_report --maybe-color;                          \
1068         echo "$$col$$br$$std";                                          \
1069         if $$success; then :; else                                      \
1070           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1071           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1072             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1073           fi;                                                           \
1074           echo "$$col$$br$$std";                                        \
1075         fi;                                                             \
1076         $$success || exit 1
1077
1078 check-TESTS: $(check_PROGRAMS)
1079         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1080         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1081         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1082         @set +e; $(am__set_TESTS_bases); \
1083         log_list=`for i in $$bases; do echo $$i.log; done`; \
1084         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1085         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1086         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1087         exit $$?;
1088 recheck: all $(check_PROGRAMS)
1089         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1090         @set +e; $(am__set_TESTS_bases); \
1091         bases=`for i in $$bases; do echo $$i; done \
1092                  | $(am__list_recheck_tests)` || exit 1; \
1093         log_list=`for i in $$bases; do echo $$i.log; done`; \
1094         log_list=`echo $$log_list`; \
1095         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1096                 am__force_recheck=am--force-recheck \
1097                 TEST_LOGS="$$log_list"; \
1098         exit $$?
1099 main.log: main$(EXEEXT)
1100         @p='main$(EXEEXT)'; \
1101         b='main'; \
1102         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1103         --log-file $$b.log --trs-file $$b.trs \
1104         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1105         "$$tst" $(AM_TESTS_FD_REDIRECT)
1106 failmalloc.log: failmalloc$(EXEEXT)
1107         @p='failmalloc$(EXEEXT)'; \
1108         b='failmalloc'; \
1109         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1110         --log-file $$b.log --trs-file $$b.trs \
1111         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1112         "$$tst" $(AM_TESTS_FD_REDIRECT)
1113 .test.log:
1114         @p='$<'; \
1115         $(am__set_b); \
1116         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1117         --log-file $$b.log --trs-file $$b.trs \
1118         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1119         "$$tst" $(AM_TESTS_FD_REDIRECT)
1120 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1121 @am__EXEEXT_TRUE@       @p='$<'; \
1122 @am__EXEEXT_TRUE@       $(am__set_b); \
1123 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1124 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1125 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1126 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1127 distdir: $(BUILT_SOURCES)
1128         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1129
1130 distdir-am: $(DISTFILES)
1131         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1132         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1133         list='$(DISTFILES)'; \
1134           dist_files=`for file in $$list; do echo $$file; done | \
1135           sed -e "s|^$$srcdirstrip/||;t" \
1136               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1137         case $$dist_files in \
1138           */*) $(MKDIR_P) `echo "$$dist_files" | \
1139                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1140                            sort -u` ;; \
1141         esac; \
1142         for file in $$dist_files; do \
1143           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1144           if test -d $$d/$$file; then \
1145             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1146             if test -d "$(distdir)/$$file"; then \
1147               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1148             fi; \
1149             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1150               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1151               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1152             fi; \
1153             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1154           else \
1155             test -f "$(distdir)/$$file" \
1156             || cp -p $$d/$$file "$(distdir)/$$file" \
1157             || exit 1; \
1158           fi; \
1159         done
1160         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1161           if test "$$subdir" = .; then :; else \
1162             $(am__make_dryrun) \
1163               || test -d "$(distdir)/$$subdir" \
1164               || $(MKDIR_P) "$(distdir)/$$subdir" \
1165               || exit 1; \
1166             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1167             $(am__relativize); \
1168             new_distdir=$$reldir; \
1169             dir1=$$subdir; dir2="$(top_distdir)"; \
1170             $(am__relativize); \
1171             new_top_distdir=$$reldir; \
1172             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1173             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1174             ($(am__cd) $$subdir && \
1175               $(MAKE) $(AM_MAKEFLAGS) \
1176                 top_distdir="$$new_top_distdir" \
1177                 distdir="$$new_distdir" \
1178                 am__remove_distdir=: \
1179                 am__skip_length_check=: \
1180                 am__skip_mode_fix=: \
1181                 distdir) \
1182               || exit 1; \
1183           fi; \
1184         done
1185 check-am: all-am
1186         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1187         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1188 check: check-recursive
1189 all-am: Makefile
1190 installdirs: installdirs-recursive
1191 installdirs-am:
1192 install: install-recursive
1193 install-exec: install-exec-recursive
1194 install-data: install-data-recursive
1195 uninstall: uninstall-recursive
1196
1197 install-am: all-am
1198         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1199
1200 installcheck: installcheck-recursive
1201 install-strip:
1202         if test -z '$(STRIP)'; then \
1203           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1204             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1205               install; \
1206         else \
1207           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1208             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1209             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1210         fi
1211 mostlyclean-generic:
1212         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1213         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1214         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1215
1216 clean-generic:
1217
1218 distclean-generic:
1219         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1220         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1221
1222 maintainer-clean-generic:
1223         @echo "This command is intended for maintainers to use"
1224         @echo "it deletes files that may require special tools to rebuild."
1225 clean: clean-recursive
1226
1227 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1228         mostlyclean-am
1229
1230 distclean: distclean-recursive
1231                 -rm -f ./$(DEPDIR)/failmalloc.Po
1232         -rm -f ./$(DEPDIR)/failmalloc_test.Po
1233         -rm -f ./$(DEPDIR)/main.Po
1234         -rm -f ./$(DEPDIR)/malloc_wrapper.Po
1235         -rm -f ./$(DEPDIR)/nghttp2_buf_test.Po
1236         -rm -f ./$(DEPDIR)/nghttp2_frame_test.Po
1237         -rm -f ./$(DEPDIR)/nghttp2_hd_test.Po
1238         -rm -f ./$(DEPDIR)/nghttp2_helper_test.Po
1239         -rm -f ./$(DEPDIR)/nghttp2_map_test.Po
1240         -rm -f ./$(DEPDIR)/nghttp2_npn_test.Po
1241         -rm -f ./$(DEPDIR)/nghttp2_pq_test.Po
1242         -rm -f ./$(DEPDIR)/nghttp2_queue_test.Po
1243         -rm -f ./$(DEPDIR)/nghttp2_session_test.Po
1244         -rm -f ./$(DEPDIR)/nghttp2_stream_test.Po
1245         -rm -f ./$(DEPDIR)/nghttp2_test_helper.Po
1246         -rm -f Makefile
1247 distclean-am: clean-am distclean-compile distclean-generic \
1248         distclean-tags
1249
1250 dvi: dvi-recursive
1251
1252 dvi-am:
1253
1254 html: html-recursive
1255
1256 html-am:
1257
1258 info: info-recursive
1259
1260 info-am:
1261
1262 install-data-am:
1263
1264 install-dvi: install-dvi-recursive
1265
1266 install-dvi-am:
1267
1268 install-exec-am:
1269
1270 install-html: install-html-recursive
1271
1272 install-html-am:
1273
1274 install-info: install-info-recursive
1275
1276 install-info-am:
1277
1278 install-man:
1279
1280 install-pdf: install-pdf-recursive
1281
1282 install-pdf-am:
1283
1284 install-ps: install-ps-recursive
1285
1286 install-ps-am:
1287
1288 installcheck-am:
1289
1290 maintainer-clean: maintainer-clean-recursive
1291                 -rm -f ./$(DEPDIR)/failmalloc.Po
1292         -rm -f ./$(DEPDIR)/failmalloc_test.Po
1293         -rm -f ./$(DEPDIR)/main.Po
1294         -rm -f ./$(DEPDIR)/malloc_wrapper.Po
1295         -rm -f ./$(DEPDIR)/nghttp2_buf_test.Po
1296         -rm -f ./$(DEPDIR)/nghttp2_frame_test.Po
1297         -rm -f ./$(DEPDIR)/nghttp2_hd_test.Po
1298         -rm -f ./$(DEPDIR)/nghttp2_helper_test.Po
1299         -rm -f ./$(DEPDIR)/nghttp2_map_test.Po
1300         -rm -f ./$(DEPDIR)/nghttp2_npn_test.Po
1301         -rm -f ./$(DEPDIR)/nghttp2_pq_test.Po
1302         -rm -f ./$(DEPDIR)/nghttp2_queue_test.Po
1303         -rm -f ./$(DEPDIR)/nghttp2_session_test.Po
1304         -rm -f ./$(DEPDIR)/nghttp2_stream_test.Po
1305         -rm -f ./$(DEPDIR)/nghttp2_test_helper.Po
1306         -rm -f Makefile
1307 maintainer-clean-am: distclean-am maintainer-clean-generic
1308
1309 mostlyclean: mostlyclean-recursive
1310
1311 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1312         mostlyclean-libtool
1313
1314 pdf: pdf-recursive
1315
1316 pdf-am:
1317
1318 ps: ps-recursive
1319
1320 ps-am:
1321
1322 uninstall-am:
1323
1324 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1325
1326 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1327         am--depfiles check check-TESTS check-am clean \
1328         clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1329         ctags ctags-am distclean distclean-compile distclean-generic \
1330         distclean-libtool distclean-tags distdir dvi dvi-am html \
1331         html-am info info-am install install-am install-data \
1332         install-data-am install-dvi install-dvi-am install-exec \
1333         install-exec-am install-html install-html-am install-info \
1334         install-info-am install-man install-pdf install-pdf-am \
1335         install-ps install-ps-am install-strip installcheck \
1336         installcheck-am installdirs installdirs-am maintainer-clean \
1337         maintainer-clean-generic mostlyclean mostlyclean-compile \
1338         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1339         recheck tags tags-am uninstall uninstall-am
1340
1341 .PRECIOUS: Makefile
1342
1343
1344 # EXTRA_DIST = end_to_end.py
1345 # TESTS += end_to_end.py
1346
1347 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1348 # Otherwise a system limit (for SysV at least) may be exceeded.
1349 .NOEXPORT: